aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/create_skia_google3_client.sh
diff options
context:
space:
mode:
authorGravatar benjaminwagner <benjaminwagner@google.com>2015-10-20 13:00:48 -0700
committerGravatar Commit bot <commit-bot@chromium.org>2015-10-20 13:00:48 -0700
commit964eebae2dc83fa0ef780f62faa90377e2198c5d (patch)
treec6ed505770b28f44453db25fcee4177674475848 /tools/create_skia_google3_client.sh
parentc752badbe3e4af84ca4c2b1d10adabbe4096e204 (diff)
Include resources directory in google3 sync.
Also other minor improvements in sync scripts. In BUILD.public, include all files under resources as data dependencies for DM. Omit newly failing DM tests and add newly passing DM tests. Adds the OpenClipart "license" to LICENSE per comment in google3 CL 100158380. Corresponding google3 CL is 105602927. BUG=skia: Review URL: https://codereview.chromium.org/1406283002
Diffstat (limited to 'tools/create_skia_google3_client.sh')
-rwxr-xr-xtools/create_skia_google3_client.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/tools/create_skia_google3_client.sh b/tools/create_skia_google3_client.sh
index 8fbf4e2516..91c1bb1feb 100755
--- a/tools/create_skia_google3_client.sh
+++ b/tools/create_skia_google3_client.sh
@@ -10,9 +10,10 @@
# Usage:
# ./tools/create_skia_google3_client.sh <client_name>
-source gbash.sh || exit
+prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
+source gbash.sh || exit 2
-set -x -e
+set -e
CLIENT="$1"
g4 citc "${CLIENT}"
@@ -22,3 +23,5 @@ REV="$(cat README.google | grep -e "^Version" | sed "s/^Version: \(.*\)/\1/")"
MY_DIR="$(gbash::get_absolute_caller_dir)"
${MY_DIR}/git_clone_to_google3.sh --skia_rev "${REV}"
+
+echo "Created client ${CLIENT} synced to ${REV}"